Uploaded image for project: 'MariaDB ColumnStore'
  1. MariaDB ColumnStore
  2. MCOL-616

addmodule failure on ubuntu system after a 1-pm install is done

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.0.7
    • Fix Version/s: 1.0.8
    • Component/s: oam
    • Labels:
      None
    • Sprint:
      2017-6

      Description

      User reported an error where the addModule was failing after he had done a postConfigure install of a 1pm system using ubuntu 16. Was able to reproduce the issue inhouse.

      Issue - the default setting in the Columnstore.xml for package type is 'rpm'. If the user would have setup a multi-node system using postConfigure, they would have been prompted to enter the package type. They would have enter 'deb' and the Columnstore.xml would have been updated at that time. But since they configured a single pm1 system, this prompt wasn't issued and the package type in the Columnstore.xml stayed set to 'rpm.
      So when they tried to do an addModule, it was looking for the rpm's to push to the new node thus causing the failure...

      User fixed the issue with the work-around of editing the Columnstore.xml entry of package-type from rpm to deb to get it to install.

      But we obliviously need to handle this case in our software.

        Attachments

          Activity

            People

            Assignee:
            dleeyh Daniel Lee
            Reporter:
            hill David Hill (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Git Integration

                Error rendering 'com.xiplink.jira.git.jira_git_plugin:git-issue-webpanel'. Please contact your Jira administrators.